Bug 429085 - Review Request: libfishsound - Simple programming interface for Xiph.Org codecs
Review Request: libfishsound - Simple programming interface for Xiph.Org codecs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 429086
  Show dependency treegraph
 
Reported: 2008-01-17 01:21 EST by Michel Alexandre Salim
Modified: 2008-01-19 17:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 17:59:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-01-17 01:21:58 EST
Spec URL: http://salimma.fedorapeople.org/for_review/music/libfishsound.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/music/libfishsound-0.9.0-1.fc8.src.rpm
Description:
libfishsound provides a simple programming interface for decoding and
encoding audio data using Xiph.Org codecs (FLAC, Speex and Vorbis).

libfishsound by itself is designed to handle raw codec streams from a
lower level layer such as UDP datagrams. When these codecs are used in
files, they are commonly encapsulated in Ogg to produce Ogg FLAC, Speex
and Ogg Vorbis files.
Comment 1 Jason Tibbitts 2008-01-17 21:54:29 EST
Builds OK; rpmlint says:
  libfishsound.src: W: mixed-use-of-spaces-and-tabs
   (spaces: line 1, tab: line 34)
Not a big deal; fix it if you like.

  libfishsound-devel.x86_64: W: no-documentation
Of course; it's in the -doc package.

  libfishsound.x86_64: W: unused-direct-shlib-dependency
   /usr/lib64/libfishsound.so.1.3.0 /usr/lib64/libogg.so.0
  libfishsound.x86_64: W: unused-direct-shlib-dependency 
   /usr/lib64/libfishsound.so.1.3.0 /lib64/libm.so.6
libfishsound.so is linked against libm and libogg even though it doesn't call
any functions in them.  Nice to fix them if you can, but not absolute blockers
if you can't.

The guidelines recommend -doc over -docs for the documentation.  (I keep
screwing this up myself.)

There's a typo in the URL tag; it needs another 'n'.

Is it true that this software supports FLAC as the description says?  The
"currently non-functional" comment in the spec would seem to indicate otherwise.


* source files match upstream:
   b714dcd3290b3a7cf8918c669a2d6c536e82ef04081a25c53e0d8b1f703af0f1  
   libfishsound-0.9.0.tar.gz
X The recommended name for documentation packages is *-doc.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
? description mentions flac, which might not be supported.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  libfishsound-0.9.0-1.fc9.x86_64.rpm
   libfishsound.so.1()(64bit)
   libfishsound = 0.9.0-1.fc9
  =
   /sbin/ldconfig
   libfishsound.so.1()(64bit)
   libogg.so.0()(64bit)
   libspeex.so.1()(64bit)
   libvorbis.so.0()(64bit)
   libvorbisenc.so.2()(64bit)

  libfishsound-devel-0.9.0-1.fc9.x86_64.rpm
   libfishsound-devel = 0.9.0-1.fc9
  =
   libfishsound = 0.9.0-1.fc9
   libfishsound.so.1()(64bit)
   pkgconfig

  libfishsound-docs-0.9.0-1.fc9.x86_64.rpm
   libfishsound-docs = 0.9.0-1.fc9
  =
   libfishsound = 0.9.0-1.fc9

* %check is not present; no test suite upstream.
* shared libraries present; ldconfig called properly.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (ldconfig)
* code, not content.
* documentation is in a separate package.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel package.
* pkgconfig files are in the -devel package.
* no static libraries.
* no libtool .la files.
Comment 2 Michel Alexandre Salim 2008-01-18 11:20:05 EST
Spec URL: http://salimma.fedorapeople.org/for_review/music/libfishsound.spec
SRPM URL:
http://salimma.fedorapeople.org/for_review/music/libfishsound-0.9.0-2.fc8.src.rpm

> Builds OK; rpmlint says:
>   libfishsound.src: W: mixed-use-of-spaces-and-tabs
>    (spaces: line 1, tab: line 34)

Woops. Forgot to untabify it. Must have used vim for a quick edit at some point.


>   libfishsound.x86_64: W: unused-direct-shlib-dependency
>    /usr/lib64/libfishsound.so.1.3.0 /usr/lib64/libogg.so.0
>   libfishsound.x86_64: W: unused-direct-shlib-dependency 
>    /usr/lib64/libfishsound.so.1.3.0 /lib64/libm.so.6
> libfishsound.so is linked against libm and libogg even though it doesn't call
> any functions in them.  Nice to fix them if you can, but not absolute blockers
> if you can't.

Will check. It supposedly depends on liboggz as well, but the binary package
does not seem to have any dependency on it, I just noticed. Will probably
manually add it for now and check with upstream.

(What version of rpmlint do you use? Mine did not pick up this problem)


> The guidelines recommend -doc over -docs for the documentation.  (I keep
> screwing this up myself.)

Woops, did that with another package as well.

> There's a typo in the URL tag; it needs another 'n'.
Fixed

> Is it true that this software supports FLAC as the description says?  The
> "currently non-functional" comment in the spec would seem to indicate
> otherwise.
The configure script fails on current versions of FLAC. If I bypass the check,
compilation fails anyway. This is due to the API change in FLAC 1.1.2, I believe
-- there've been other packages (can't remember which right now) that
encountered this issue.

Comment 3 Jason Tibbitts 2008-01-18 23:13:30 EST
The liboggz dependency you added has caused:
  libfishsound.x86_64: E: explicit-lib-dependency liboggz
I honestly don't know what's up; you can see -loggz on the link lines but it
doesn't show up in the resulting library (ldd shows no dependency) and of course
rpmbuild doesn't find anything.  Maybe it gets pulled in dynamically or
something, although I didn't find any evicence of that.

One thing I did notice is that oggz headers are only included in the example
programs; maybe that's it.

BTW, you need to run rpmlint on the installed package in order to see a small
class of warnings including those unused-direct-shlib-dependency complaints.  My
build scripts install the package (and rpmlint) into the mock chroot after
building so I can test installability and get those few extra rpmlint checks.

So, at this point everything is fixed but the liboggz thing is weird.  I'll just
approve this package and you can sort out the oggz bit at your leisure.

APPROVED
Comment 4 Michel Alexandre Salim 2008-01-19 14:29:44 EST
Thanks. Fixed the FLAC support already, and the liboggz thing is only needed for
the example programs, which I have now split out into a separate subpackage.

New Package CVS Request
=======================
Package Name: libfishsound
Short Description: Simple programming interface for Xiph.Org codecs 
Owners: salimma
Branches: F-7 F-8 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-01-19 15:57:19 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.